### Virtual Method

# Soup Auth update

#### Declaration [src]

    gboolean
    update (
      SoupAuth* auth,
      SoupMessage* msg,
      GHashTable* auth_header
    )

#### Description [src]

Updates `auth` with the information from `msg` and `auth_header`, possibly un-authenticating it.

As with `soup_auth_new()`, this is normally only used by `SoupSession`.

#### Parameters

`msg`

  Type: `SoupMessage`

  The `SoupMessage` `auth` is being updated for.

  The data is owned by the caller of the function.

`auth_header`

  Type: `GHashTable`

  The WWW-Authenticate/Proxy-Authenticate header.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `auth` is still a valid (but potentially unauthenticated) `SoupAuth`. `FALSE` if something about `auth_params` could not be parsed or incorporated into `auth` at all.